Package be.ehealth.businessconnector.mediprimauma.session.impl

# Class MediprimaUmaServiceImpl

java.lang.Object
be.ehealth.businessconnector.mediprimauma.session.impl.MediprimaUmaServiceImpl

All Implemented Interfaces:
  `MediprimaUmaService`

public class MediprimaUmaServiceImpl extends Object implements MediprimaUmaService
Implementation of `MediprimaUmaService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MediprimaUmaServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DeleteUrgentMedicalAidAttestationResponse`
  `deleteUrgentMedicalAidAttestation(DeleteUrgentMedicalAidAttestationRequest request)`
  `SearchUrgentMedicalAidAttestationResponse`
  `searchUrgentMedicalAidAttestation(SearchUrgentMedicalAidAttestationRequest request)`
  `SendUrgentMedicalAidAttestationResponse`
  `sendUrgentMedicalAidAttestation(SendUrgentMedicalAidAttestationRequest request)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MediprimaUmaServiceImpl

    public MediprimaUmaServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)

- ## Method Details

  - ### deleteUrgentMedicalAidAttestation

    public DeleteUrgentMedicalAidAttestationResponse deleteUrgentMedicalAidAttestation(DeleteUrgentMedicalAidAttestationRequest request) throws TechnicalConnectorException, MediprimaUmaDeleteException
    Specified by:
      `deleteUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
    Throws:
      `TechnicalConnectorException`
      `MediprimaUmaDeleteException`

  - ### searchUrgentMedicalAidAttestation

    public SearchUrgentMedicalAidAttestationResponse searchUrgentMedicalAidAttestation(SearchUrgentMedicalAidAttestationRequest request) throws TechnicalConnectorException, MediprimaUmaSearchException
    Specified by:
      `searchUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
    Throws:
      `TechnicalConnectorException`
      `MediprimaUmaSearchException`

  - ### sendUrgentMedicalAidAttestation

    public SendUrgentMedicalAidAttestationResponse sendUrgentMedicalAidAttestation(SendUrgentMedicalAidAttestationRequest request) throws TechnicalConnectorException, MediprimaUmaSendException
    Specified by:
      `sendUrgentMedicalAidAttestation` in interface `MediprimaUmaService`
    Throws:
      `TechnicalConnectorException`
      `MediprimaUmaSendException`